#ifndef __2DSYS_H__
#define __2DSYS_H__
#include "structures.h"
#ifdef __C_PLUS_PLUS__
extern "C"{
#endif
 void TraceLine8b(tSprite*,int,int,int,int,unsigned char);
 void TraceCircle8b(tSprite*,unsigned short,unsigned short,unsigned short,unsigned char);
 void TraceSquare8b(tSprite*,int,int,int,int,char);

 void TraceLine16b(tSprite*,int,int,int,int,unsigned short);
 void TraceCircle16b(tSprite*,unsigned short,unsigned short,unsigned short,unsigned short);
 void TraceSquare16b(tSprite*,int,int,int,int,short);

 void TraceLine24b(tSprite*,int,int,int,int,unsigned int);
 void TraceCircle24b(tSprite*,unsigned short,unsigned short,unsigned short,unsigned int);
 void TraceSquare24b(tSprite*,int,int,int,int,int);

 void TraceLine32b(tSprite*,int,int,int,int,unsigned int);
 void TraceCircle32b(tSprite*,unsigned short,unsigned short,unsigned short,unsigned int);
 void TraceSquare32b(tSprite*,int,int,int,int,int);

 void DrawSolidTriangle8b(tSprite*,tDiscretePoint*,tDiscretePoint*,tDiscretePoint*,unsigned char,unsigned char);
 void DrawSingleTriangle8b(tSprite*,tDiscretePoint*,tDiscretePoint*,tDiscretePoint*,unsigned char);
 void DrawTriangle8b(tSprite*,tDiscretePoint*,tDiscretePoint*,tDiscretePoint*,unsigned char);

 void DrawSolidTriangle16b(tSprite*,tDiscretePoint*,tDiscretePoint*,tDiscretePoint*,unsigned short,unsigned short);
 void DrawSingleTriangle16b(tSprite*,tDiscretePoint*,tDiscretePoint*,tDiscretePoint*,unsigned short);
 void DrawTriangle16b(tSprite*,tDiscretePoint*,tDiscretePoint*,tDiscretePoint*,unsigned short);

 void DrawSolidTriangle24b(tSprite*,tDiscretePoint*,tDiscretePoint*,tDiscretePoint*,unsigned int,unsigned int);
 void DrawSingleTriangle24b(tSprite*,tDiscretePoint*,tDiscretePoint*,tDiscretePoint*,unsigned int);
 void DrawTriangle24b(tSprite*,tDiscretePoint*,tDiscretePoint*,tDiscretePoint*,unsigned int);

 void DrawSolidTriangle32b(tSprite*,tDiscretePoint*,tDiscretePoint*,tDiscretePoint*,unsigned int,unsigned int);
 void DrawSingleTriangle32b(tSprite*,tDiscretePoint*,tDiscretePoint*,tDiscretePoint*,unsigned int);
 void DrawTriangle32b(tSprite*,tDiscretePoint*,tDiscretePoint*,tDiscretePoint*,unsigned int);
#ifdef __C_PLUS_PLUS__
}
#endif
#endif
