#ifndef __CPYSYS_H__
#define __CPYSYS_H__
#include <string.h>
#ifdef __C_PLUS_PLUS__
extern "C"{
#endif
void memsetc(void*,char,unsigned long);
void memsetb(void*,unsigned char,unsigned long);
void memsetw(void*,unsigned short,unsigned long);
void memsetl(void*,unsigned long,unsigned long);
void memsetf(void*,float,unsigned long);
void memcpyc(void*,void*,unsigned long);
void memcpyb(void*,void*,unsigned long);
void memcpyw(void*,void*,unsigned long);
void memcpyl(void*,void*,unsigned long);
void memcpyf(void*,void*,unsigned long);

char *scanmemmatchc(void*,unsigned long,char,unsigned long*);
unsigned char *scanmemmatchb(void*,unsigned long,unsigned char,unsigned long*);
unsigned short *scanmemmatchw(void*,unsigned long,unsigned short,unsigned long*);
unsigned int *scanmemmatchi(void*,unsigned long,unsigned int,unsigned long*);
unsigned int *scanmemmatchl(void*,unsigned long,unsigned int,unsigned long*);
float *scanmemmatchf(void*,unsigned long,float,unsigned long*);
char *scanmemnomatchc(void*,unsigned long,char,unsigned long*);
unsigned char *scanmemnomatchb(void*,unsigned long,unsigned char,unsigned long*);
unsigned short *scanmemnomatchw(void*,unsigned long,unsigned short,unsigned long*);
unsigned int *scanmemnomatchl(void*,unsigned long,unsigned int,unsigned long*);
float *scanmemnomatchf(void*,unsigned long,float,unsigned long*);
long memcomp(char*,char*,unsigned int);
long memcompb(void*,void*,unsigned int);
long memcompw(void*,void*,unsigned int);
long memcompl(void*,void*,unsigned int);
long memcompf(void*,void*,unsigned int);

void rwmemsetc(void*,char,unsigned long);
void rwmemsetb(void*,unsigned char,unsigned long);
void rwmemsetw(void*,unsigned short,unsigned long);
void rwmemsetl(void*,unsigned long,unsigned long);
void rwmemsetf(void*,float,unsigned long);
void rwmemcpyc(void*,void*,unsigned long);
void rwmemcpyb(void*,void*,unsigned long);
void rwmemcpyw(void*,void*,unsigned long);
void rwmemcpyl(void*,void*,unsigned long);
void rwmemcpyf(void*,void*,unsigned long);

char *rwscanmemmatchc(void*,unsigned long,char,unsigned long*);
unsigned char *rwscanmemmatchb(void*,unsigned long,unsigned char,unsigned long*);
unsigned short *rwscanmemmatchw(void*,unsigned long,unsigned short,unsigned long*);
unsigned int *rwscanmemmatchl(void*,unsigned long,unsigned int,unsigned long*);
float *rwscanmemmatchf(void*,unsigned long,float,unsigned long*);
char *rwscanmemnomatchc(void*,unsigned long,char,unsigned long*);
unsigned char *rwscanmemnomatchb(void*,unsigned long,unsigned char,unsigned long*);
unsigned short *rwscanmemnomatchw(void*,unsigned long,unsigned short,unsigned long*);
unsigned int *rwscanmemnomatchl(void*,unsigned long,unsigned int,unsigned long*);
float *rwscanmemnomatchf(void*,unsigned long,float,unsigned long*);

long rwmemcomp(char*,char*,unsigned int);
long rwmemcompb(void*,void*,unsigned int);
long rwmemcompw(void*,void*,unsigned int);
long rwmemcompl(void*,void*,unsigned int);
long rwmemcompf(void*,void*,unsigned int);

int fastneqcmp(void*,void*,int,int*);
int fasteqcmp(void*,void*,int,int*);
int fastneqcmpb(void*,void*,int,int*);
int fasteqcmpb(void*,void*,int,int*);
int fastneqcmpw(void*,void*,int,int*);
int fasteqcmpw(void*,void*,int,int*);
int fastneqcmpl(void*,void*,int,int*);
int fasteqcmpl(void*,void*,int,int*);
int fastneqcmpf(void*,void*,int,int*);
int fasteqcmpf(void*,void*,int,int*);
#ifdef __C_PLUS_PLUS__
}
#endif
#endif

