#ifndef __CRYPTOGRAPHIC_H__
#define __CRYPTOGRAPHIC_H__
#include <gmp.h>
#ifdef __C_PLUS_PLUS__
extern "C"{
#endif
///AES128
void encodeAES128(char*,char*,char**,unsigned long*);
void decodeAES128(char*,unsigned long,char*,char**,unsigned long*);
///RSA
void getRSAkeys(mpz_t*,mpz_t*);
void encodeRSA(mpz_t*,unsigned long,mpz_t*);
unsigned long decodeRSA(mpz_t*,mpz_t);
char *str_encodeRSA(char*,mpz_t*);
char *str_decodeRSA(char*,mpz_t*);
///SHA1
char *SHA1(char*,unsigned long);
char *str_SHA1(char*);
///Vernam
char *VernamEncodeString(char*,char*,int,unsigned int*,int);
tIndexString VernamEncodeBytes(char*,long,char*,int,unsigned int*,int);
tIndexString VernamDecodeBytes(char*,int,char*,int,int*,int);
char *VernamDecodeString(char*,char*,int,int*,int);
void SetWhitePaper(int*,int,int,char**,int*);
#ifdef __C_PLUS_PLUS__
}
#endif
#endif
