#ifndef LANGUAGE_MACROS
#define LANGUAGE_MACROS
#ifdef _GC_ENG_
#define MSG_VESA01 "!Int31 fault in vesainit module global_dos_alloc()"
#define MSG_VESA02 "!VESA initialization error. Check hardware and drivers."
#define MSG_VESA03 "+VESA initialization successfull"
#define MSG_VESA04 "!PMode interface not found."
#define MSG_VESA05 "+Interface found."
#define MSG_VESA06 "+PMode interface ready."
#define MSG_VESA07 "!Int31 fault in setvesamode module global_dos_alloc() for ModeInfoBlock"
#define MSG_VESA08 "!Mode not supported."
#define MSG_VESA09 "!Int31 fault in setvesamode module global_dos_alloc() for CRTC"
#define MSG_VESA0A "!Mode set fault."
#define MSG_VESA0B "+Mode set successfull."
#define MSG_VESA0C "+Video mode successfully retrieved"
#define MSG_VESA0D "!Error getting video mode!!!"
#define MSG_VESA0E "+Get/Set operation successfull"
#define MSG_VESA0F "!Get/Set operation failed"
#define MSG_VESA10 "+Set/Get DAC pallete format successfull"
#define MSG_VESA11 "!Error (set/get)ting DAC pallete format"
#define MSG_VESA12 "+Get/Set Pel Clock, Ok"
#define MSG_VESA13 "!Get/Set Pel Clock, Error!!"
#define MSG_VESA14 "!FATAL: Memory manager doesn't allow master or near ptrs"

#define MSG_BMP00 "!Unable to open bitmap file!!!"
#define MSG_BMP01 "!Unsupported bitmap format or bad signature"
#define MSG_BMP02 "+Bitmap Load Successfull!!"
#define MSG_BMP03 "!Error saving bitmap"
#define MSG_BMP04 "+Bitmap saved"

#define MSG_MOUSE00 "!No Mouse found, install a driver!"
#define MSG_MOUSE01 "+Mouse found."
#define MSG_MOUSE02 "!Couldn't reset the meece!!"
#define MSG_MOUSE03 "+Meece reset succesful."
#define MSG_MOUSE04 "!Cannot install handler."
#define MSG_MOUSE05 "+Mouse callback handler installed."
#define MSG_MOUSE06 "!Error setting range."
#define MSG_MOUSE07 "+Range setting successful"
#define MSG_MOUSE08 "!Error in uninstalling."
#define MSG_MOUSE09 "+Uninstall successful."

#define MSG_VOC00 "!Unsupported voice format or bad signature"
#define MSG_VOC01 "+Voice file Load Successfull!!"
#define MSG_VOC02 "!Unable to open voice file!!!"
#define MSG_VOC03 "!Unable to create voice file!!!"
#define MSG_VOC04 "+Voice file Save Successfull!!"

#define MSG_JOY00 "!No joysticks/joypads attached."
#define MSG_JOY01 "+Found joysticks/joypads attached!!"

#define MSG_MIDI00 "!Unable to open midi file!!"
#define MSG_MIDI01 "!Unsupported format or bag signature!!"
#define MSG_MIDI02 "+MIDI file Load Successfull!!"

#define MSG_3DW00 "!Unable to open file!!"
#define MSG_3DW01 "!Unsupported or bad signature in 3D World File."
#define MSG_3DW02 "+3DWorld Accessed & Loaded happyly."
#define MSG_3DW03 "!Cannot save the 3dWorld file."
#define MSG_3DW04 "+3dWorld file saved."

#define MSG_3DSPARSER00 "!Unable to open 3dWorld script."
#define MSG_3DSPARSER01 "!Unknow command in 3dWorld script."
#define MSG_3DSPARSER02 "+Parse successfull."
#define MSG_3DSPARSER03 "!Unable to save 3dWorld script."
#define MSG_3DSPARSER04 "+Save successfull."

#define MSG_3DSYS00 "!Cannot load 3d system library!"
#define MSG_3DSYS01 "+3dsys operational :)"

#define MSG_GEN00 "!This version isn't compatible against your GClib. Update GClib.so."

#define MSG_VIDEO00 "!Cannot init display driver"
#define MSG_VIDEO01 "!Cannot set video mode"
#define MSG_VIDEO02 "+SDL video driver works fine"

#define MSG_SFONT00 "!Unable to open script file"
#define MSG_SFONT01 "+Font loaded"

#define MSG_GUIPARSER00 "!ERROR: unknow command"
#define MSG_GUIPARSER01 "+GUI created"

#define MSG_DRIVER00 "!FATAL: Cannot found requested driver"
#define MSG_DRIVER01 "+Driver found, loaded and working"
#define MSG_DRIVER02 "!ERROR: Internal programation driver error"
#define MSG_DRIVER03 "!ERROR: Internal initialization driver error"
#define MSG_DRIVER04 "+Driver unloaded"

#define MSG_ARTIFACT00 "!Cannot open plugin"
#define MSG_ARTIFACT01 "+Artifacts ready"

#define MSG_ARTGUI00 "!Cannot open GUI script"
#define MSG_ARTGUI01 "!Unknow instruction in GUI script"
#define MSG_ARTGUI02 "+GUI script parsing success"

#define MSG_ABSTRACT_LIB00 "!Cannot open abstract shared lib"
#define MSG_ABSTRACT_LIB01 "+Abstract shared lib opened"

#elseifdef _GC_ESP_
#define MSG_VESA01 "!Fallo Int31 en el modulo vesainit global_dos_alloc()"
#define MSG_VESA02 "!Iniciacion VESA erronea. Comprueba hardware y drivers."
#define MSG_VESA03 "+Iniciacion VESA exitosa"
#define MSG_VESA04 "!Interfaz PMode no encontrada"
#define MSG_VESA05 "+Interfaz encontrada."
#define MSG_VESA06 "+Interfaz PMode lista."
#define MSG_VESA07 "!Int31 fallo en modulo setvesamode global_dos_alloc() para ModeInfoBlock"
#define MSG_VESA08 "!Modo no soportado."
#define MSG_VESA09 "!Int31 fallo en el modulo setvesamode global_dos_alloc() para CRTC"
#define MSG_VESA0A "!Ajuste de modo fallido"
#define MSG_VESA0B "+Ajuste de modo exitoso"
#define MSG_VESA0C "+Modo de video exitosamente recuperado"
#define MSG_VESA0D "!¡¡¡Error obteniendo modo de video!!!"
#define MSG_VESA0E "+Operacion Get/Set exitosa"
#define MSG_VESA0F "!Operacion Get/Set fracasada"
#define MSG_VESA10 "+Set/Get DAC pallete format exitoso"
#define MSG_VESA11 "!Error (ajustando/obteniendo) el formato de la paleta"
#define MSG_VESA12 "+Get/Set Pel Clock, Ok"
#define MSG_VESA13 "!¡¡Get/Set Pel Clock, Error!!"
#define MSG_VESA14 "!FATAL: El admin de memoraia no permite punteros maestros o cercanos"

#define MSG_BMP00 "!¡¡¡No puedo abrir el archivo bitmap!!!"
#define MSG_BMP01 "!Formato de bitmap no soportado o firma erronea"
#define MSG_BMP02 "+¡¡Carga exitosa del bitmap!!"
#define MSG_BMP03 "!Error guardando bitmap"
#define MSG_BMP04 "+Bitmap guardado"

#define MSG_MOUSE00 "!¡Raton no encontrado, instala un driver!"
#define MSG_MOUSE01 "+Raton encontrado"
#define MSG_MOUSE02 "!¡¡No puedo reajustar el raton!!"
#define MSG_MOUSE03 "+Reajuste del raton correcto"
#define MSG_MOUSE04 "!No puedo instalar manejador"
#define MSG_MOUSE05 "+Rellamada del raton instalada"
#define MSG_MOUSE06 "!Error ajustando rango"
#define MSG_MOUSE07 "+Ajuste de rango correcto"
#define MSG_MOUSE08 "!Error desinstalado"
#define MSG_MOUSE09 "+Desinstalacion exitosa"

#define MSG_VOC00 "!Archivo de voz no soportado o error en la firma"
#define MSG_VOC01 "+¡¡Archivo de voz exitosamente cargado!!"
#define MSG_VOC02 "!¡¡¡Incapaz de abrir archivo de voz!!!"
#define MSG_VOC03 "!¡¡¡Incapaz de crear archivo de voz!!!"
#define MSG_VOC04 "+¡¡Fichero de voz exitosamente guardado!!"

#define MSG_JOY00 "!No hay joysticks/joypads conectados o accesibles."
#define MSG_JOY01 "+¡¡Encontrado(s) joystick(s)/joypad(s) enganchados!!"

#define MSG_MIDI00 "!¡¡Incapaz de abrir archivo midi!!"
#define MSG_MIDI01 "!¡¡No soportado o error en la firma!!"
#define MSG_MIDI02 "+¡¡Carga del fichero MIDI exitosa!!"

#define MSG_3DW00 "!¡¡Incapaz de abrir el fichero!!"
#define MSG_3DW01 "!Archivo 3D World no soportado o error en la firma de cabecera"
#define MSG_3DW02 "+3DWorld felizmente accedido y cargado"
#define MSG_3DW03 "!No puedo guardar el archivo 3dWorld"
#define MSG_3DW04 "+Archivo 3dWorld guardado."

#define MSG_3DSPARSER00 "!Incapaz de abrir el gion 3dWorld"
#define MSG_3DSPARSER01 "!Orden desconocida en el guion 3dWorld"
#define MSG_3DSPARSER02 "+Interpretacion exitosa"
#define MSG_3DSPARSER03 "!Incapaz de guardar el guion 3dWorld"
#define MSG_3DSPARSER04 "+Guardado exitoso"

#define MSG_VIDEO00 "!No puedo iniciar el driver de visualizacion"
#define MSG_VIDEO01 "!No puedo ajustar el modo de video"
#define MSG_VIDEO02 "+SDL video driver funciona bien"

#define MSG_SFONT00 "!Incapaz de abrir el guion"
#define MSG_SFONT01 "+Fuente cargada"

#define MSG_GUIPARSER00 "!ERROR: orden desconocida"
#define MSG_GUIPARSER01 "+Entorno creado"

#define MSG_DRIVER00 "!FATAL: No puedo encontrar el driver solicitado"
#define MSG_DRIVER01 "+Driver encontrado, cargado y funcionando"
#define MSG_DRIVER02 "!ERROR: error interno de programacion del driver"
#define MSG_DRIVER03 "!ERROR: error en el driver durante la iniciacion"
#define MSG_DRIVER04 "+Driver descargado"

#define MSG_ARTIFACT00 "!No puedo abrir el complemento"
#define MSG_ARTIFACT01 "+Artifactos preparados"

#define MSG_ARTGUI00 "!No puede abrir el guion de entorno grafico"
#define MSG_ARTGUI01 "!Intruccion desconocida en el gion de entorno grafico"
#define MSG_ARTGUI02 "+Interpretacion del guion de entorno grafico exitosa"
#else
#define MSG_VESA01 "!Int31 fault in vesainit module global_dos_alloc()"
#define MSG_VESA02 "!VESA initialization error. Check hardware and drivers."
#define MSG_VESA03 "+VESA initialization successfull"
#define MSG_VESA04 "!PMode interface not found."
#define MSG_VESA05 "+Interface found."
#define MSG_VESA06 "+PMode interface ready."
#define MSG_VESA07 "!Int31 fault in setvesamode module global_dos_alloc() for ModeInfoBlock"
#define MSG_VESA08 "!Mode not supported."
#define MSG_VESA09 "!Int31 fault in setvesamode module global_dos_alloc() for CRTC"
#define MSG_VESA0A "!Mode set fault."
#define MSG_VESA0B "+Mode set successfull."
#define MSG_VESA0C "+Video mode successfully retrieved"
#define MSG_VESA0D "!Error getting video mode!!!"
#define MSG_VESA0E "+Get/Set operation successfull"
#define MSG_VESA0F "!Get/Set operation failed"
#define MSG_VESA10 "+Set/Get DAC pallete format successfull"
#define MSG_VESA11 "!Error (set/get)ting DAC pallete format"
#define MSG_VESA12 "+Get/Set Pel Clock, Ok"
#define MSG_VESA13 "!Get/Set Pel Clock, Error!!"
#define MSG_VESA14 "!FATAL: Memory manager doesn't allow master or near ptrs"

#define MSG_BMP00 "!Unable to open bitmap file!!!"
#define MSG_BMP01 "!Unsupported bitmap format or bad signature"
#define MSG_BMP02 "+Bitmap Load Successfull!!"
#define MSG_BMP03 "!Error saving bitmap"
#define MSG_BMP04 "+Bitmap saved"

#define MSG_MOUSE00 "!No Mouse found, install a driver!"
#define MSG_MOUSE01 "+Mouse found."
#define MSG_MOUSE02 "!Couldn't reset the meece!!"
#define MSG_MOUSE03 "+Meece reset succesful."
#define MSG_MOUSE04 "!Cannot install handler."
#define MSG_MOUSE05 "+Mouse callback handler installed."
#define MSG_MOUSE06 "!Error setting range."
#define MSG_MOUSE07 "+Range setting successful"
#define MSG_MOUSE08 "!Error in uninstalling."
#define MSG_MOUSE09 "+Uninstall successful."

#define MSG_SND00 "!Audio init fails"
#define MSG_SND01 "+Audio init ok"

#define MSG_VOC00 "!Unsupported voice format or bad signature"
#define MSG_VOC01 "+Voice file Load Successfull!!"
#define MSG_VOC02 "!Unable to open voice file!!!"
#define MSG_VOC03 "!Unable to create voice file!!!"
#define MSG_VOC04 "+Voice file Save Successfull!!"

#define MSG_JOY00 "!No joysticks/joypads attached."
#define MSG_JOY01 "+Found joysticks/joypads attached!!"

#define MSG_MIDI00 "!Unable to open midi file!!"
#define MSG_MIDI01 "!Unsupported format or bag signature!!"
#define MSG_MIDI02 "+MIDI file Load Successfull!!"

#define MSG_3DW00 "!Unable to open file!!"
#define MSG_3DW01 "!Unsupported or bad signature in 3D World File."
#define MSG_3DW02 "+3DWorld Accessed & Loaded happyly."
#define MSG_3DW03 "!Cannot save the 3dWorld file."
#define MSG_3DW04 "+3dWorld file saved."

#define MSG_3DSYS00 "!Cannot load 3d system library!"
#define MSG_3DSYS01 "+3dsys operational :)"

#define MSG_GEN00 "!This version isn't compatible against your GClib. Update GClib.so."

#define MSG_3DSPARSER00 "!Unable to open 3dWorld script."
#define MSG_3DSPARSER01 "!Unknow command in 3dWorld script."
#define MSG_3DSPARSER02 "+Parse successfull."
#define MSG_3DSPARSER03 "!Unable to save 3dWorld script."
#define MSG_3DSPARSER04 "+Save successfull."

#define MSG_VIDEO00 "!Cannot init display driver"
#define MSG_VIDEO01 "!Cannot set video mode"
#define MSG_VIDEO02 "+SDL video driver works fine"

#define MSG_SFONT00 "!Unable to open script file"
#define MSG_SFONT01 "+Font loaded"

#define MSG_GUIPARSER00 "!ERROR: unknow command"
#define MSG_GUIPARSER01 "+GUI created"

#define MSG_DRIVER00 "!FATAL: Cannot found requested driver"
#define MSG_DRIVER01 "+Driver found, loaded and working"
#define MSG_DRIVER02 "!ERROR: Internal programation driver error"
#define MSG_DRIVER03 "!ERROR: Internal initialization driver error"
#define MSG_DRIVER04 "+Driver unloaded"

#define MSG_IO00 "+IO pooling ready"
#define MSG_IO01 "!IO pooling not ready"

#define MSG_ARTIFACT00 "!Cannot open plugin"
#define MSG_ARTIFACT01 "+Artifacts ready"

#define MSG_ARTGUI00 "!Cannot open GUI script"
#define MSG_ARTGUI01 "!Unknow instruction in GUI script"
#define MSG_ARTGUI02 "+GUI script parsing success"

#define MSG_ABSTRACT_LIB00 "!No puedo abrir la libreria de datos abstractos"
#define MSG_ABSTRACT_LIB01 "+Libreria de datos abstractos abierta"
#endif
#endif
