#ifndef __SPRITES_H__
#define __SPRITES_H__
#include <stdio.h>
#include "structures.h"
#include "bmp.h"
#include "cpysys.h"
#include "rgba_alpha_tbl.h"
#include "rgba.h"
#ifdef __C_PLUS_PLUS__
extern "C"{
#endif
void SprtDraw8b(tSprite*,tSprite*,unsigned long,unsigned long);
void SprtDraw16b(tSprite*,tSprite*,unsigned long,unsigned long);
void SprtDraw24b(tSprite*,tSprite*,unsigned long,unsigned long);
void SprtDraw32b(tSprite*,tSprite*,unsigned long,unsigned long);
void xSprtDraw16b(tSprite*,tSprite*,unsigned,unsigned,unsigned short);
void SprtStretch8b(tSprite*,tSprite*);
void SprtStretch16b(tSprite*,tSprite*);
void SprtStretch24b(tSprite*,tSprite*);
void SprtStretch32b(tSprite*,tSprite*);
void SprtScale8b(tSprite*,tSprite*,unsigned,unsigned,unsigned,unsigned);
void SprtScale16b(tSprite*,tSprite*,unsigned,unsigned,unsigned,unsigned);
void SprtScale24b(tSprite*,tSprite*,unsigned,unsigned,unsigned,unsigned);
void SprtScale32b(tSprite*,tSprite*,unsigned,unsigned,unsigned,unsigned);
void xSprtScale16b(tSprite*,tSprite*,unsigned,unsigned,unsigned,unsigned,unsigned short);
int LoadSprite(char*,tSprite*,char,char**);
void SprtScaleLimit8b(tSprite*,tSprite*,long,long,long,long,long,long,long,long);
void SprtScaleLimit16b(tSprite*,tSprite*,long,long,long,long,long,long,long,long);
void SprtScaleLimit24b(tSprite*,tSprite*,long,long,long,long,long,long,long,long);
void SprtScaleLimit32b(tSprite*,tSprite*,long,long,long,long,long,long,long,long);
void xSprtScaleLimit8b(tSprite*,tSprite*,long,long,long,long,long,long,long,long,unsigned char);
void xSprtScaleLimit16b(tSprite*,tSprite*,long,long,long,long,long,long,long,long,unsigned short);
void xSprtScaleLimit24b(tSprite*,tSprite*,long,long,long,long,long,long,long,long,unsigned int);
void xSprtScaleLimit32b(tSprite*,tSprite*,long,long,long,long,long,long,long,long,unsigned int);
void xSprtDrawLimit8b(tSprite*,tSprite*,long,long,long,long,long,long,long,long,unsigned char);
void xSprtDrawLimit16b(tSprite*,tSprite*,long,long,long,long,long,long,long,long,unsigned short);
void xSprtDrawLimit24b(tSprite*,tSprite*,long,long,long,long,long,long,long,long,unsigned int);
void xSprtDrawLimit32b(tSprite*,tSprite*,long,long,long,long,long,long,long,long,unsigned int);
void SprtDrawLimit8b(tSprite*,tSprite*,long,long,long,long,long,long,long,long);
void SprtDrawLimit16b(tSprite*,tSprite*,long,long,long,long,long,long,long,long);
void SprtDrawLimit24b(tSprite*,tSprite*,long,long,long,long,long,long,long,long);
void SprtDrawLimit32b(tSprite*,tSprite*,long,long,long,long,long,long,long,long);
void SplitSprt(tSprite*,tSprite*,tSprite*);
void *SetColorDepth(tSprite*,tSprite,int);
void HFlipSprt(tSprite*,tSprite*);
void VFlipSprt(tSprite*,tSprite*);
void SaveSprite(char*,tSprite,char**);
void CopySprite(tSprite*,const tSprite*);
unsigned short ApplyAlpha16b(unsigned short,unsigned short,float);
void SpriteFading16b(tSprite*,tSprite*,signed int,signed int,float);//,unsigned short);
void SpriteFading24b(tSprite*,tSprite*,signed int,signed int,float);//,unsigned int);
void SpriteFading32b(tSprite*,tSprite*,signed int,signed int,float);//,unsigned int);
void SpriteFadingScale16b(tSprite*,tSprite*,signed int,signed int,signed int,signed int,float,unsigned short);
void SpriteFadingScale24b(tSprite*,tSprite*,signed int,signed int,signed int,signed int,float,unsigned int);
void SpriteFadingScale32b(tSprite*,tSprite*,signed int,signed int,signed int,signed int,float,unsigned int);
void xSprtFadingScaleLimit16b(tSprite*,tSprite*,long,long,long,long,long,long,long,long,float,unsigned short);
void xSprtFadingScaleLimit24b(tSprite*,tSprite*,long,long,long,long,long,long,long,long,float,unsigned int);
void xSprtFadingScaleLimit32b(tSprite*,tSprite*,long,long,long,long,long,long,long,long,float,unsigned int);
#ifdef __C_PLUS_PLUS__
}
#endif
#endif
