#ifndef __GCTOOLS_H__
#define __GCTOOLS_H__
#include <stdio.h>
#include <dirent.h>
#include <sys/types.h>
#include <time.h>
#include <math.h>
#include "cpysys.h"
#include "structures.h"
#define GetDirContents(dnm,dc) dc.Entries=GetFilenames(dnm,&dc.Entry)
#define FreetStdDirContents(d) FreeStringOfString(dc.Entry,dc.Entries)
#ifdef __C_PLUS_PLUS__
extern "C"{
#endif
 long GetFilenames(char *path,char ***names);
 void FreeStringOfString(char **to_free,long entries);
 tDirEntryChain *get_entries(char*);
 void free_entries(tDirEntryChain*);
 void itoa(char*,int);
 void htoa(char*,int);
 void ftoa(char*,float,char);
 long htol(char*);
 tGCclock *GCclock_create(float);
 void GCclock_reset(tGCclock*);
 void GCclock_destroy(tGCclock*);
 int GCclock_wait(tGCclock*);
 void strtolower(char*);
 void strtoupper(char*);
 int power_of_2(int);
 int square_pow2_me(int*,int*,int);
 void resize_me(int*,int*,int);
#ifdef __C_PLUS_PLUS__
}
#endif
#endif
