#ifndef __ABSTRACT_TYPES_H__
#define __ABSTRACT_TYPES_H__
#ifdef __C_PLUS_PLUS__
extern "C"{
#endif
#include <dlfcn.h>
#include <stdio.h>
#include <stdlib.h>
#include "structures.h"
#include "diagnostic.h"
void *insert(void*,void*);
void *unsafe_insert(void*,void*);
void delete_item(void*,void*);
void delete_data(void*,void*);
void dispose(void*);
void clear(void*);
void *find(void*,void*);
void *find_from(void*,void*,void*);
unsigned long count(void*);
void **dump(void*);
void *create_avl_tree(int(*)(void*,void*),int(*)(void*,void*),void*);
void *create_tree(int(*)(void*,void*),int(*)(void*,void*),void*);
#ifdef __C_PLUS_PLUS__
}
#endif
#endif
