#ifndef __CPYSYS_H__
#define __CPYSYS_H__
#include <string.h>
#ifdef __C_PLUS_PLUS__
extern "C"{
#endif
void memsetc(void*,char,unsigned long);
void memsetb(void*,unsigned char,unsigned long);
void memsetw(void*,unsigned short,unsigned long);
void memsetf(void*,float,unsigned long);
void memseti(void*,unsigned int,unsigned long);
void memsetl(void*,unsigned long,unsigned long);
void memsetq(void*,unsigned long,unsigned long);

void memcpyc(void*,void*,unsigned long);
void memcpyb(void*,void*,unsigned long);
void memcpyw(void*,void*,unsigned long);
void memcpyf(void*,void*,unsigned long);
void memcpyl(void*,void*,unsigned long);
void memcpyq(void*,void*,unsigned long);

char *scanmemmatchc(void*,unsigned long,char,unsigned long*);
unsigned char *scanmemmatchb(void*,unsigned long,unsigned char,unsigned long*);
unsigned short *scanmemmatchw(void*,unsigned long,unsigned short,unsigned long*);
float *scanmemmatchf(void*,unsigned long,float,unsigned long*);
unsigned int *scanmemmatchi(void*,unsigned long,unsigned int,unsigned long*);
unsigned long *scanmemmatchl(void*,unsigned long,unsigned long,unsigned long*);

char *scanmemnomatchc(void*,unsigned long,char,unsigned long*);
unsigned char *scanmemnomatchb(void*,unsigned long,unsigned char,unsigned long*);
unsigned short *scanmemnomatchw(void*,unsigned long,unsigned short,unsigned long*);
float *scanmemnomatchf(void*,unsigned long,float,unsigned long*);
unsigned int *scanmemnomatchi(void*,unsigned long,unsigned int,unsigned long*);
unsigned long *scanmemnomatchl(void*,unsigned long,unsigned long,unsigned long*);

long memcomp(char*,char*,unsigned long);
long memcompb(void*,void*,unsigned long);
long memcompw(void*,void*,unsigned long);
long memcompf(void*,void*,unsigned long);
long memcompi(void*,void*,unsigned long);
long memcompl(void*,void*,unsigned long);

void rwmemsetc(void*,char,unsigned long);
void rwmemsetb(void*,unsigned char,unsigned long);
void rwmemsetw(void*,unsigned short,unsigned long);
void rwmemsetf(void*,float,unsigned long);
void rwmemseti(void*,unsigned int,unsigned long);
void rwmemsetl(void*,unsigned long,unsigned long);

void rwmemcpyc(void*,void*,unsigned long);
void rwmemcpyb(void*,void*,unsigned long);
void rwmemcpyw(void*,void*,unsigned long);
void rwmemcpyf(void*,void*,unsigned long);
void rwmemcpyi(void*,void*,unsigned long);
void rwmemcpyl(void*,void*,unsigned long);

char *rwscanmemmatchc(void*,unsigned long,char,unsigned long*);
unsigned char *rwscanmemmatchb(void*,unsigned long,unsigned char,unsigned long*);
unsigned short *rwscanmemmatchw(void*,unsigned long,unsigned short,unsigned long*);
float *rwscanmemmatchf(void*,unsigned long,float,unsigned long*);
unsigned int *rwscanmemmatchi(void*,unsigned long,unsigned int,unsigned long*);
unsigned long *rwscanmemmatchl(void*,unsigned long,unsigned long,unsigned long*);

char *rwscanmemnomatchc(void*,unsigned long,char,unsigned long*);
unsigned char *rwscanmemnomatchb(void*,unsigned long,unsigned char,unsigned long*);
unsigned short *rwscanmemnomatchw(void*,unsigned long,unsigned short,unsigned long*);
float *rwscanmemnomatchf(void*,unsigned long,float,unsigned long*);
unsigned int *rwscanmemnomatchi(void*,unsigned long,unsigned int,unsigned long*);
unsigned long *rwscanmemnomatchl(void*,unsigned long,unsigned long,unsigned long*);

long rwmemcomp(char*,char*,unsigned long);
long rwmemcompb(void*,void*,unsigned long);
long rwmemcompw(void*,void*,unsigned long);
long rwmemcompf(void*,void*,unsigned long);
long rwmemcompi(void*,void*,unsigned long);
long rwmemcompl(void*,void*,unsigned long);

int fastneqcmp(void*,void*,long,long*);
int fasteqcmp(void*,void*,long,long*);
int fastneqcmpb(void*,void*,long,long*);
int fasteqcmpb(void*,void*,long,long*);
int fastneqcmpw(void*,void*,long,long*);
int fasteqcmpw(void*,void*,long,long*);
int fastneqcmpi(void*,void*,long,long*);
int fastneqcmpl(void*,void*,long,long*);
int fasteqcmpi(void*,void*,long,long*);
int fasteqcmpl(void*,void*,long,long*);
int fastneqcmpf(void*,void*,long,long*);
int fasteqcmpf(void*,void*,long,long*);
#ifdef __C_PLUS_PLUS__
}
#endif
#endif

