#ifndef __FONT_H__
#define __FONT_H__
#include <stdio.h>
#include "structures.h"
#include "diagnostic.h"
#include "bmp.h"
#include "sprites.h"
#include "cpysys.h"
#ifdef __C_PLUS_PLUS__
extern "C"{
#endif
 void ParseScriptFont(tFont*,char*,int,char**);
 void UnLoadFont(tFont*);
 tSprite *GetGraphChar(tFont*,unsigned int);
 int PrintLabel16b(tSprite*,tFont*,char*,int,int,int,int,float,unsigned int);
 int PrintLabel24b(tSprite*,tFont*,char*,int,int,int,int,float,unsigned int);
 int PrintLabel32b(tSprite*,tFont*,char*,int,int,int,int,float,unsigned int);
 int PrintLabel(tSprite*,tFont*,char*,int,int,int,int,float,unsigned int);
#ifdef __C_PLUS_PLUS__
}
#endif
#endif
